<div id="modules-list-component">
    <table class="table table-hover table-striped table-bordered table-sm">
        <thead>
        <tr>
            <th style="text-align:center">Active</th>
            <th>Short Name</th>
            <th>Title</th>
            <th>Description</th>
            <th>Node Level</th>
        </tr>
        </thead>
        <tbody>
            <tr *ngFor="let item of packageData | async  | paginate: { itemsPerPage: itemPerPage, currentPage: currentPage, totalItems: totalItems }">
                <td class="status-col" style="text-align:center">
                    <i [hidden]="item.IsActive == 0" style="color:green" class="fa fa-check-circle"></i>
                    <i [hidden]="item.IsActive == 1" style="color:red" class="fa fa-exclamation-circle"></i>
                </td>
                <td> {{ item.ShortName }}</td>
                <td> {{ item.Title }}</td>
                <td> {{ item.Description }}</td>
                <td> {{ item.NodeLevel | uppercase }}</td>
            </tr> 
        </tbody>
        
    </table>
    <br />
    <div class="pull-right">
        <pagination-controls (pageChange)="loadData($event)"></pagination-controls> 
    </div>
</div>